var statusInt = 0;
$(document).ready(function(){
	//检验是否登录
	queryuserLoginInfo();
	//查询推荐课程
	loadRecommendCourse();
	//查询分校
	$.ajax({
		type : "post",
		url : rootPath + "/wap/showSchoolList",
		success : function(result) {
			if(result.length==1){
				//一个分校不显示
				$(".right-btn").html(" ");
			}else{
				queryDefaultSchool(function(school) {
					try{
						if(isIndex){
							$(".branch").attr("value", school.id).html(school.schoolName.substring(0,4));
						}else{
							$(".branch").attr("value", school.id).html(school.schoolName.substring(0,4));
						}
					}catch(e){
						$(".branch").attr("value", school.id).html(school.schoolName.substring(0,4));
					}
				});
			}
		}
	})
	//查询轮播图
	querySysCyclePic("homepage",function(){
	  var tabsSwiper = new Swiper('.swiper-container',{
		 	autoplay : 5000
	  });
	  //添加点击事件
	  $("#hotCourse").on('tap','li',function(){
		  var id=$(this).attr("ids");
		  window.location.href=rootPath+"/course_mobile/queryDetail/"+id+"";
	  })
	  
	  $(".wrapper").each(function (i) {
          var myScrolls = new iScroll($(this)[0], {mouseWheel: true});
       });
       document.addEventListener('touchmove', function (e) {
          e.preventDefault();
       }, false);
    });

	//查询分校
	showSchoolsList();
	//点击分校
	 $(".branch").on("tap",function(){
		var len=$("#schoolPlace").find("li").length;
		if(len>1){
		  var flag=$(".branch-pop").css("display");
          if(flag=="block"){
          	$(".branch-pop").css("display","none");
          }else{
          	$(".branch-pop").css("display","block");
          }
		}
      });
	$(".right-btn").on("tap",function(){
		var len=$("#schoolPlace").find("li").length;
		if(len>1){
		  var flag=$(".branch-pop").css("display");
          if(flag=="block"){
          	$(".branch-pop").css("display","none");
          }else{
          	$(".branch-pop").css("display","block");
          }
		}
      });
	$(".wrapper").each(function (i) {
        var myScrolls = new iScroll($(this)[0], {mouseWheel: true});
     });
     document.addEventListener('touchmove', function (e) {
        e.preventDefault();
     }, false);
     setTimeout("loadwapper();",1000); 
});

function loadwapper(){
	$(".wrapper").each(function (i) {
        var myScrolls = new iScroll($(this)[0], {mouseWheel: true});
     });
     document.addEventListener('touchmove', function (e) {
        e.preventDefault();
     }, false);
}

//加载推荐课程
function loadRecommendCourse(){
	$("#recommendCourse").html("");
	 $.ajax({ 
		  type: "post", 
		  url: rootPath+"/course_mobile/loadCourseList", 
		  dataType:'json',
		  beforeSend:function(XMLHttpRequest){
	            $(".loading").show();
	            $(".loading-bg").show();
	        },
		  success: function(jsonData){
			  if(jsonData.length<=0){
				  $(".recommendedcourses").css("display","none");
				  return;
			  }
			  $(".recommendedcourses").css("display","block");
			  var html="";
			  $.each(jsonData,function(i,comm){
				  if(i<6){
					  var mon=(comm.realPrice?comm.realPrice:"0");
					  var money=$.formatMoney(mon);
					  if(money=="0.00"){
						  money='<p class="blue-font">免费</p>';
					  }else{
						  money='<p class="red-font"><em class="iconfont">&#xe61a;</em>'+money+'</p>';
					  }
					  html+='<div class="block" ids='+comm.id+'>'+
		                      '<div class="wrap">'+
				                  '<img src="'+(comm.cover?comm.cover:(rootPath+'/images/overview_demo.jpg'))+'" alt=""/>'+
				                  '<div class="cont-top">'+(comm.name?(comm.name.length>9?comm.name.substring(0,9)+"...":comm.name):"")+'</div>'+
				                  '<div class="cont-bottom">'+
				                      '<p class="pad"><em class="iconfont">&#xe623;</em>'+(comm.actualNum?comm.actualNum:0)+'</p>'+
				                      money+
				                  '</div>'+
				              '</div>'+
				             '</div>';  
				  }
			  });
			  $("#recommendCourse").html(html+'<div class="clear"></div>');
		
			  //添加点击事件
			  $("#recommendCourse").on('tap','div.block',function(){
				  var id=$(this).attr("ids");
				  window.location.href=rootPath+"/course_mobile/queryDetail/"+id+"";
			  })
			  
			  var _height = $(window).height();
	          var _headheight = $("header").height();
	          var _tabsheight = $(".tabs").height();
	          $(".ctrlheight").css("height",_height-_headheight-_tabsheight);
			  $(".wrapper").each(function (i) {
	            var myScroll2 = new iScroll($(this)[0], {mouseWheel: true});
	         });
	         document.addEventListener('touchmove', function (e) {
	            e.preventDefault();
	         }, false);
		  },
		  complete:function(XMLHttpRequest,textStatus){
				$(".loading").hide();
	            $(".loading-bg").hide();
	      }
	  });
}

//查询默认分校
function queryDefaultSchool(callback) {
	var school=$.cookie("wap_school");
	if(school){
		school=JSON.parse($.cookie("wap_school"));
	}
	if (school) {
		if (callback) {
			callback(school);
		}
	} else {
		$.ajax({
			url : rootPath + "/wap/queryDefaultSchool",
			type : "post",
			dataType : "json",
			success : function(school) {
				$.cookie('wap_school', JSON.stringify(school));
				$.cookie('wap_schoolId',school.id);
				$.cookie('wap_schoolName',school.schoolName);
				try{
					if(isIndex){
						$(".branch").attr("value", school.id).html(school.schoolName.substring(0,4));
					}else{
						$(".branch").attr("value", school.id).html(school.schoolName.substring(0,4));
					}
				}catch(e){
					$(".branch").attr("value", school.id).html(school.schoolName.substring(0,4));
				}
			},
			error : function() {
				
			}
		});
	}
}


//查询轮播图
function querySysCyclePic(type,callback){
	$("#banners").html("");
	$.ajax({ 
 		  type: "post", 
 		  url: rootPath+"/wap/showPic",
 		  data: {"picType" : type},
 		  beforeSend:function(XMLHttpRequest){
	            $(".loading").show();
	            $(".loading-bg").show();
	      },
 		  success: function(result){
 			$.each(result,function(i,item){
 				if(item.clickUrl){
 					$("#banners").append("<li url="+item.clickUrl+" class='page"+i+" swiper-slide' style='background:url("+ item.picUrl +") no-repeat;background-size:cover;'></li>");
 				}else{
 					$("#banners").append("<li class='page"+i+" swiper-slide' style='background:url("+ item.picUrl +") no-repeat;background-size:cover;'></li>");
 				}
 			});
 			  if(callback){
 				  callback();
 			  }
 			  //点击轮播图
 			 $("#banners").on('click','li',function(){
 				 var url=$(this).attr("url");
 				 if(url&&url!=""){
 					 window.location.href=url;
 				 }
 			 })
 		  },
 		  complete:function(XMLHttpRequest,textStatus){
				$(".loading").hide();
	            $(".loading-bg").hide();
	        }
 	  });
}
//查询用户登录信息
function queryuserLoginInfo(){
	 $.ajax({
        url : rootPath + "/wap/queryIsLogin",
        type : "post",
        dataType : "json",
        success : function(jsonData) {
        	if(jsonData=="no"){
        		var user=$.cookie("user");
        	    if(user){
        	        user=JSON.parse($.cookie("user"));
        	    }else{
        	    	return;
        	    }
        	    if(user.id){
        	    	 $.ajax({
             	        url : rootPath + "/wap/queryUserInfo/"+user.id,
             	        type : "post",
             	        dataType : "json",
             	        success : function(jsonData) {
             	        	window.location.href=rootPath+"/wap";
             	        }
             	    });
        	    }
        	}
        }
	 });
}

//显示分校列表
function showSchoolsList() {
	 $("#schoolPlace").html("");
	$.ajax({
		type : "post",
		url : rootPath+"/wap/showSchoolList",
		dataType:'json',
		success : function(result) {
			 var html="";
			 $.cookie('school_list', JSON.stringify(result));
			 $.each(result,function(i,item){
				html+='<li schoolId='+item.id+' schoolName='+item.schoolName+'>'+item.schoolName+'</li>';
			 });
			 $("#schoolPlace").append(html);
			 //点击分校
			 $("#schoolPlace").on('tap','li',function(){
				 var schoolId=$(this).attr("schoolId");
				 var schoolName=$(this).attr("schoolName");
				 $(".branch-pop").css("display","none");
				 changeSchoolValue(schoolId,schoolName);
			 })
		}
	});
}
//切换分校
function changeSchoolValue(id,name) {
	var school={"id":id,"schoolName":name};
	$.ajax({
		type : "post",
		url : rootPath + "/wap/saveSchoolId/"+id,
		success : function(result) {
			var _height = $(window).height();
	        var _headheight = $("header").height();
	        var _tabsheight = $(".tabs").height();
	        $(".ctrlheight").css("height",_height-_headheight-_tabsheight);
	        
	        var _height1 = $(window).height();
	        $(".side-nav").css("height",_height1);
	        $(".side-screen").css("height",_height1);
	        $(".dropdown-pop").css("height",_height1-44);
	        $(".screen-pop").css("height",_height1-44);
			querySysCyclePic("homepage",function(){
				  var tabsSwiper = new Swiper('.swiper-container',{
					 	autoplay : 3000
				  });
			});
			//查询推荐课程
			loadRecommendCourse();
			$.cookie('wap_school', JSON.stringify(school));
			$.cookie('wap_schoolId',id);
			$.cookie('wap_schoolName',name);
			$(".branch").attr("value", school.id).html(school.schoolName.substring(0,4));
		}
	});
}