;(function($){
	var Pagination=function(ele,opt){
		this.options={};
		this.options.callback=opt;
		this.$element=ele;
	}
	Pagination.prototype={
		pullUpAction: function(){
			var $this=this;
				if($this.options.callback){
					$this.options.callback();
				}
		},
		init: function(){
			var $this=this;
			$this.$element.children().eq(0).find(".pullUp").remove();
			 $this.$element.children().eq(0).append('<div class="pullUp"><span class="pullUpIcon"></span><span class="pullUpLabel">上拉加载更多...</span></div>');
				var pullUpEl = this.$element.find('.pullUp');  
				pullUpOffset = pullUpEl.height();
			    this.options.iscroll = new iScroll(this.$element[0], {
			        scrollbarClass: 'myScrollbar',
			        useTransition: false,
			        onRefresh: function () {
			            if(pullUpEl.hasClass('loading')) {
							pullUpEl.removeClass('loading');
			                pullUpEl.find('.pullUpLabel').html('上拉加载更多...');
			            }
//						this.scrollTo(0,-50,200,true);
			        },
			        onScrollMove: function () {
						if (this.y < (this.maxScrollY - 5) && !pullUpEl.hasClass('flip')) {
							pullUpEl.addClass('flip');
			                pullUpEl.find('.pullUpLabel').html('松手开始更新...');
			                this.maxScrollY = this.maxScrollY;
			            } else if (this.y >(this.maxScrollY + 5) && pullUpEl.hasClass('flip')) {
			                pullUpEl.removeClass('flip');
			                pullUpEl.find('.pullUpLabel').html('上拉加载更多...');
			                this.maxScrollY = pullUpOffset;
			            }
			        },
			        onScrollEnd: function () {
			            if (pullUpEl.hasClass('flip')) {
			                pullUpEl.addClass('loading').removeClass('flip');
			                pullUpEl.find('.pullUpLabel').html('加载中...');               
			                $this.pullUpAction(); // ajax call
			            }
			        }
			    });
			     
			    setTimeout(function () { $this.$element.css('left','0')}, 800);
		},
		bindEvent: function(){
			document.addEventListener('touchmove', function (e) { e.preventDefault(); }, false);
//			document.addEventListener('DOMContentLoaded', this.loaded, false);
		},
		loadover:function(){
			var $this=this;
			setTimeout(function(){
				$this.options.iscroll.refresh();
			},500)
			
		},
		hide:function(){
			this.$element.find('.pullUp').hide();
		},
		show:function(){
			this.$element.find('.pullUp').show();
		},
		destroy:function(){
			this.options.iscroll.destroy();
			this.$element.find('.pullUp').remove();
		}
	}

	$.fn.pagination=function(opt){
		var myPagination=new Pagination(this,opt);
		myPagination.init();
		return myPagination;
	}

})(jQuery)