/**
 *  将之前前端写好的js提取稍作修改，原tikuPort.js
 *  @author Ds
 */
;(function (win, doc, $, undefined) {
    var _params = {};
    win.tiku = {
        init: function (parames) {
            _params = parames;
            var oTopic = document.querySelector('.question'),
                oAnswer = document.querySelector('.answer ul'),
                oAnaly = document.querySelector('.res-info'),
                oCorrectAnswer = document.querySelector('.an-right'),
                oUserAnswer = document.querySelectorAll('.res-itm'),
                material = document.querySelector('.box .qust-desc'),
                arr = ["", "单选题", "多选题", "不定项题", "判断题", "填空题", "简答题", "材料题"],
                correct;
            //这里是为了解析时候用的，用来判断用户所做题目的对错
            if (parames.answer && parames.answer.userAnswer) {
                switch (parames.answer.userAnswer.correctFlag) {
                    case 0:
                        correct = 'wrong';
                        break;
                    case 1:
                        correct = 'right';
                        break;
                    default:
                        correct = ' ';
                        break;
                }
            } else {
                correct = ' ';
            }

            //这里是材料题的内容
            if ((parames.topics.mateTitle || parames.topics.mateCon) && material) {
                //材料题标题
                parames.topics.mateTitle && (material.children[0].innerHTML = parames.topics.mateTitle);
                //材料题内容
                parames.topics.mateCon && (material.children[1].innerHTML = parames.topics.mateCon);
            }
            //这里是题目、题类
            oTopic.innerHTML = '<span>'
                + '<i class="label" id="' + parames.topics.topicId + '">[' + arr[parames.topics.questions] + ']</i>' + parames.topics.topicName + '</span>'
                + '<div class="icon ' + correct + '"></div>';
            oAnswer.innerHTML = "";
            switch (parseFloat(parames.topics.questions)) {
                //判断题
                case 4:
                    //生成对应的选项option
                    var cf = 0, li;
                    //用户答案userAnswerId
                    if (parames.answer && parames.answer.userAnswer) {
                        var answer = parames.answer.userAnswer.answer;
                        oUserAnswer[1].children[1].innerHTML = answer || "";
                    }
                    if (parames.answer && parames.answer.userAnswer) {
                        if ("正确" == parames.answer.userAnswer.answer) {
                            cf = 1;
                        } else if ("错误" == parames.answer.userAnswer.answer)  {
                            cf = 2;
                        }
                    }
                    li = document.createElement('li');
                    li.className = 'an-itm';
                    li.style.paddingBottom= '35px';
                    li.innerHTML = '<span class="round ' + (cf == 1 ? 'active' : '') + '" option=正确 style="width: 56px;">正确</span>';
                    oAnswer.appendChild(li);
                    li = document.createElement('li');
                    li.className = 'an-itm';
                    li.style.marginBottom = '15px'
                    li.innerHTML = '<span class="round ' + (cf == 2 ? 'active' : '') + '" option=错误 style="width: 56px;">错误</span>';
                    oAnswer.appendChild(li);
                    //正确答案
                    if (parames.answer && parames.answer.topicAnswer) {
                        var topicAnswer = parames.answer.topicAnswer.answer;
                        oUserAnswer[0].children[1].innerHTML = topicAnswer;
                    }
                    break;
                case 5://填空题
                    var topicAnswer = parames.answer.topicAnswer.answer;
                    topicAnswer = topicAnswer.split("&&");
                    var re = new RegExp("&&","g");
                    //用户答案userAnswerId
                    if (parames.answer && parames.answer.userAnswer) {
                        var answer = parames.answer.userAnswer.answer;
                        oUserAnswer[1].children[1].innerHTML = (answer?answer.replace(re, " "):"") || "";
                    }
                    //是否存在用户答案， 如果存在则反显
                    var userAnswers = [];
                    if (parames.answer.userAnswer && parames.answer.userAnswer.answer) {
                        userAnswers = parames.answer.userAnswer.answer.split("&&");
                    }
                    for (var i = 0; i < topicAnswer.length; i++) {
                        var input = document.createElement('input');
                        input.className = 'an-inp';
                        input.style = 'width:100% !important;display:block;margin-bottom: 10px'
                        if (userAnswers[i] && userAnswers[i] != '未答题') {
                            input.value = userAnswers[i];
                        }
                        oAnswer.appendChild(input);
                    }
                    //正确答案
                    if (parames.answer && parames.answer.topicAnswer) {
                        var topicAnswer = parames.answer.topicAnswer.answer;
                        oUserAnswer[0].children[1].innerHTML = topicAnswer.replace(re, " ");
                    }
                    break;
                case 6://简答题
                    var textarea = document.createElement('textarea');
                    textarea.className = 'an-itm';

                    textarea.style = ' display: block; width:100% !important;resize: none; padding: 10px; outline: none;';
                    if (parames.answer.userAnswer && parames.answer.userAnswer.answer && parames.answer.userAnswer.answer != '未答题') {
                        textarea.value= parames.answer.userAnswer.answer;
                    }
                    oAnswer.appendChild(textarea);
                    //用户答案userAnswerId
                    if (parames.answer && parames.answer.userAnswer) {
                        var answer = parames.answer.userAnswer.answer;
                        oUserAnswer[1].children[1].innerHTML = answer || "";
                    }
                    //正确答案
                    if (parames.answer && parames.answer.topicAnswer) {
                        var topicAnswer = parames.answer.topicAnswer.answer;
                        oUserAnswer[0].children[1].innerHTML = topicAnswer;
                    }
                    setTimeout(function(){
                        var offset=40;
                        var ua=navigator.userAgent;
                        if(ua.indexOf("Android")!=-1){
                            try{
                                if(parseInt(ua.substring(ua.indexOf("Chrome")).substring(7,9))<=40){
                                    offset=60;
                                }
                            }catch (e){

                            }
                        }
                        var w=$(window).width()-offset;
                        $(textarea).width(w);
                    },100);
                    break;
                default:
                    //用户答案userAnswerId
                    if (parames.answer && parames.answer.userAnswer) {
                        var answer = parames.answer.userAnswer.answer;
                        oUserAnswer[1].children[1].innerHTML = answer || "";
                    }
                    for (var i = 0, length = parames.option.length; i < length; i++) {
                        var cf = false;
                        if (parames.answer.userAnswer && parames.answer.userAnswer.answer && parames.answer.userAnswer.answer.indexOf(parames.option[i]['optionNo']) != -1) {
                            cf = true;
                        }
                        var li = document.createElement('li');
                        li.className = 'an-itm';
                        li.innerHTML = '<span class="round ' + (cf ? 'active' : '') + '" option=' + parames.option[i]['optionNo'] + '>' + parames.option[i]['optionNo'] + '</span><em>' + parames.option[i]['optionCon'] + '</em>';
                        oAnswer.appendChild(li);
                    }

                    //正确答案
                    if (parames.answer && parames.answer.topicAnswer) {
                        var topicAnswer = parames.answer.topicAnswer.answer;
                        oUserAnswer[0].children[1].innerHTML = topicAnswer;
                    }
                    break;
            }


            //答案解析(只在解析页面包含)：analyse:{topicId:1000, analyseWord:''xxxxxx",oCorrectAnswer:"xxx"...}
            if (parames.analyse) {
                for (var i = 0; i < parames.analyse.length; i++) {
                    //答案解析为多条
                    wordNode(parames.analyse[i]);
                }
            }
            function wordNode(analysis) {
                //创建元素
                var oDiv = document.createElement('div');
                oDiv.className = 'word';
                oDiv.innerHTML = '<span>' + analysis.analyseWord + '</span>'//解析的内容
                oAnaly.appendChild(oDiv);
            }

            // 页面点击事件
            // function pageEvent() {
            //     $("body").on("touchend","li.an-itm", function (e) {
            //         var $this = $(this).children("span");
            //         if ($this.is(".active")) {
            //             $this.removeClass("active");
            //         } else {
            //             if (_params.topics.questions == 1 || _params.topics.questions == 4) {//单选只允许选择一个选项
            //                 $("div.answer>ul>li.an-itm>span.round.active").removeClass("active");
            //             }
            //             $this.addClass("active");
            //         }
            //     });
            // }

            // 选择答案事件
            if (parames.showType == 'dotopic' || parames.showType == 'error') {
                // pageEvent();
                if (parames.showType == 'error') {
                    $("div.see-answer>input").css("display", "block");
                }else{
                    $("div.see-answer>input").css("display", "none");
                }
                if(parames.showType == 'dotopic' && parames.hasAnswerBtn){
                    $("div.see-answer>input").css("display", "block");
                }


                $(".result-wrap").css("display", "none");
            } else {
                $("[contenteditable]").attr("contenteditable", false);
                $("input.an-inp").attr("disabled",true);
            }
        },
        //最后返回的答案
        getAnswer: function () {
            switch (_params.topics.questions) {
                case 1:
                case 2:
                case 3:
                case 4: {
                    var answer = "";
                    var se = $("li.an-itm>span.round.active");
                    $.each(se, function (i, e) {
                        answer += $(e).attr("option");
                    });
                    return answer.replace(/\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g, "");
                    break;
                }
                case 5: {
                    var answer = "";
                    var se = $("input.an-inp");
                    $.each(se, function (i, e) {
                        answer += $(e).val() + "&&";
                    });
                    return (answer.length == se.length*2)?'':answer.substr(0, answer.length - 2).replace(/\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g, "");
                    break;
                }
                case 6: {
                    var answer = "";
                    var se = $("textarea.an-itm");
                    answer = se.val();
                    return answer.replace(/\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g, "");
                    break;
                }
            }
        },
        textSize: function (size) {
            switch (size) {
                case 14:
                    document.querySelector('.box').style.fontSize = '14px';
                    break;
                case 18:
                    document.querySelector('.box').style.fontSize = '18px';
                    break;
                default :
                    document.querySelector('.box').style.fontSize = '16px';
                    break;
            }
        }
    };
})(window, document, jQuery);