/**
 *  与APP交互的js，将7种试题类型放到一个页面做展示
 *  @author Ds
 */
;(function (win, doc, $, undefined) {

    var showType = "";
    var hasAnswerBtn = false;

    var Module = (function () {

        function Module(settings) {
            var defaults = {};
            this.options = $.extend(defaults, settings || {});
            this.init();
        }

        $.extend(Module.prototype, {

            init: function () {
                var self = this, func_type = self.function_type;
                 if (location.href.indexOf("localhost") != -1) {
                    //var data = '{"type":"TEMPLATE","textsize":16,"callback":"","value":"TOPIC_TYPE_RADIO","data":{"topics":{"topicId":12323777,"topicName":"222222222222222222222222222222222222222222222222","questions":1},"option":[{"optionCon":"1","optionNo":"A"},{"optionCon":"2222222","optionNo":"B"},{"optionCon":"3","optionNo":"C"},{"optionCon":"4","optionNo":"D"}]}}';
                    // var data = '{"type":"TEMPLATE","textsize":16,"callback":"","value":"TOPIC_TYPE_MULTIPLE","data":{"topics":{"topicId":12323330,"topicName":"导入多选题的题干部分","questions":2},"option":[{"optionCon":"多选题A选项","optionNo":"A"},{"optionCon":"多选题B选项","optionNo":"B"},{"optionCon":"多选题C选项","optionNo":"C"},{"optionCon":"多选题D选项","optionNo":"D"},{"optionCon":"多选题E选项","optionNo":"E"},{"optionCon":"多选题F选项","optionNo":"F"},{"optionCon":"多选题G选项","optionNo":"G"},{"optionCon":"多选题H选项","optionNo":"H"}],"analyse":[{"analyseWord":"这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，"}],"showType":"error","answer":{"userAnswer":{"answer":"C","correctFlag":0},"topicAnswer":{"answer":"AB"}}}}';
                    //var data = '{"type":"TEMPLATE","textsize":16,"callback":"","value":"TOPIC_TYPE_FILLING","data":{"topics":{"topicId":12323333,"topicName":"导入填空题的题干部分（答案分别是ABC）( 1 )","questions":5},"option":[],"analyse":[{"analyseWord":"这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析"}],"showType":"dotopic","answer":{"userAnswer":{},"topicAnswer":{"answer":"A|B|C"}}}}';
                    // var data = '{"type":"TEMPLATE","textsize":16,"callback":"","value":"TOPIC_TYPE_RADIO","data":{"topics":{"topicId":12323848,"topicName":"测试简答题","questions":1},"option":[{"optionCon":"1","optionNo":"A"},{"optionCon":"2","optionNo":"B"},{"optionCon":"3","optionNo":"C"},{"optionCon":"4","optionNo":"D"}],"analyse":[{"analyseWord":"测试"}],"showType":"error","answer":{"userAnswer":{"answer":"","correctFlag":0},"topicAnswer":{"answer":"C"}}}}';
                    // var data = '{"type":"TEMPLATE","hasAnswerBtn":true,"textsize":16,"callback":"","value":"TOPIC_TYPE_FILLING","data":{"topics":{"topicId":12323333,"topicName":"导入填空题的题干部分（答案分别是ABC）( 1 )( 2 )","questions":5},"option":[],"analyse":[{"analyseWord":"这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，这是答案解析，"}],"showType":"dotopic_exercise","answer":{"userAnswer":{"answer":"chj&&1","correctFlag":""},"topicAnswer":{"answer":"A|B|&&1|2"}}}}';
                    // var data =  '{"type":"TEMPLATE","textsize":16,"callback":"","value":"TOPIC_TYPE_ANSWER","data":{"topics":{"topicId":12324362,"topicName":"数学之谜？","questions":6},"option":[],"analyse":[{"analyseWord":"<p>数学之谜：1234567890</p>"}],"showType":"dotopic_exercise","answer":{"userAnswer":{},"topicAnswer":{"answer":"<p>数学之谜：123</p>"}}}}';
                    // var data =  ' {"type":"TEMPLATE","textsize":16,"callback":"","value":"TOPIC_TYPE_RADIO","data":{"topics":{"topicId":12324411,"topicName":"材料题中的单选题材料题中的单选题材料题中的单选题材料题中的单选题A","questions":1,"mateTitle":"","mateCon":"<p>测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463测试材料342523453463</p>"},"option":[{"optionCon":"A","optionNo":"A"},{"optionCon":"tyuio","optionNo":"B"},{"optionCon":"地方啊","optionNo":"C"},{"optionCon":"的撒发大水","optionNo":"D"}],"analyse":[{"analyseWord":"<p>地方撒阿范德萨发第三方反倒是放大地方的 第三方地方撒阿范德萨发第三方反倒是放大地方的 第三方地方撒阿范德萨发第三方反倒是放大地方的 第三方地方撒阿范德萨发第三方反倒是放大地方的 第三方地方撒阿范德萨发第三方反倒是放大地方的 第三方</p>"}],"showType":"dotopic_exercise","answer":{"userAnswer":{"answer":"未答题"},"topicAnswer":{"answer":"A"}}}}';

                   // var data = '{"type":"TEMPLATE","textsize":16,"callback":"","value":"TOPIC_TYPE_RADIO","hasAnswerBtn":true,"data":{"topics":{"topicId":12536036,"topicName":"单选题2017-5","questions":1},"option":[{"optionCon":"单选题2017-5","optionNo":"A"},{"optionCon":"单选题2017-5单选题2017-5单选题2017-5","optionNo":"B"},{"optionCon":"单选题2017-5单选题2017-5","optionNo":"C"},{"optionCon":"单选题2017-5单选题2017-5单选题2017-5单选题2017-5","optionNo":"D"}],"analyse":[{"analyseWord":"<p>单选题2017-5</p>"}],"showType":"dotopic","answer":{"userAnswer":{"answer":"未答题"},"topicAnswer":{"answer":"A"}}}}'; 
  				   // var data = '{"type":"TEMPLATE","textsize":16,"callback":"","value":"TOPIC_TYPE_FILLING","hasAnswerBtn":true,"data":{"topics":{"topicId":12491314,"topicName":"<p>这是一个填空题( 1 )</p>","questions":5},"option":[],"analyse":[{"analyseWord":"<p>沙发上发</p>"}],"showType":"dotopic","answer":{"userAnswer":{"answer":"未答题"},"topicAnswer":{"answer":"1|2"}}}}'

                   var data = '{"type":"TEMPLATE","textsize":16,"callback":"","value":"TOPIC_TYPE_ANSWER","hasAnswerBtn":true,"data":{"topics":{"topicId":12491315,"topicName":"发送到范德萨","questions":6},"option":[],"analyse":[{"analyseWord":"<p>打算发送到阿斯蒂芬</p>"}],"showType":"dotopic","answer":{"userAnswer":{"answer":"未答题"},"topicAnswer":{"answer":"<p>阿斯蒂芬阿斯蒂芬按时</p>"}}}}';


                    var json_data = JSON.parse(data);
                    if (json_data) {
                        if(json_data.data && json_data.data.showType){
                           showType = json_data.data.showType;
                        }
                        if(json_data.hasAnswerBtn){
                           hasAnswerBtn = json_data.hasAnswerBtn;
                        }
                        
                        switch (json_data.type) {
                            case func_type.EVENT.name:
                                console.log(self.callBack(json_data.callback, json_data.value));
                                break;
                            case func_type.TEMPLATE.name:
                                self.show(json_data.value, json_data.data, json_data.textsize, json_data.hasAnswerBtn);
                                break;
                        }
                    }

                    data = '{"type":"EVENT","callback":"GETANSWER","value":"","data":{}}';
                    var json_data = JSON.parse(data);
                    if (json_data) {
                        switch (json_data.type) {
                            case func_type.EVENT.name:
                                console.log(self.callBack(json_data.callback, json_data.value));
                                break;
                            case func_type.TEMPLATE.name:
                                self.show(json_data.value, json_data.data);
                                break;
                        }
                    }
                 }
                self.app_bridge(function (bridge) {
                    bridge.init(function (message, responseCallback) {});
                    //接收消息
                    bridge.registerHandler("androidSendMessage", function (data, responseCallback) {
                        var json_data = JSON.parse(data);
                        if (json_data) {

                            if(json_data.data && json_data.data.showType){
                               showType = json_data.data.showType;
                            }
                            if(json_data.hasAnswerBtn){
                               hasAnswerBtn = json_data.hasAnswerBtn;
                            }

                            switch (json_data.type) {
                                case func_type.EVENT.name:
                                    responseCallback(self.callBack(json_data.callback, json_data.value));
                                    break;
                                case func_type.TEMPLATE.name:
                                    self.show(json_data.value, json_data.data, json_data.textsize, json_data.hasAnswerBtn);
                                    break;
                            }
                        } else {
                            responseCallback('{"result":"error","msg":"数据异常"}');
                        }
                    });
                })
            },

            event: function () {
                //前端写的事件处理，原tiku-page.js
                var H = $(window).height()
                var height = H;
                var h = H;
                var self = this;
                $(".question-record-inner>ul").css("min-height", H - 84);
                $(".mycollect-question main").height(height);
                $(".question-type main").height(H - 94);
                $(".question-bank main").height(H - 44);
                $(".question-bank .wrapper").height(H - 44);
                $("main .box").height(height);
                $(".content-wrap").height(h);
                $(".tiku-page .content-wrap.answer").height(h);
                $("main .qust-fixed").height(height / 2);
                var h1 = $("main .qust-fixed").height();
                var h2 = h1 - 29;
                $("main .qust-fixed .content-wrap").height(h2);
                $('main .title-wrap').height(height - h1);
                $("main .qust-fixed .content-wrap.answer").height(h1);
                var h3 = $("main .qust-wrap").height();
                var h4 = h - h3;
                $("main .result-wrap").css("min-height", h4);
                $(".question-type").css("top", H);
                $(".question-type").on("click", ".close", function () {
                    event.preventDefault();
                    $(".question-type").animate({
                        top: H
                    }, 300).hide();
                    $(".mask-bg").fadeOut();
                });

                // 加按钮效果
                var wrapFlag = true;
                //$('#move').on('click', function () {
                //    var _headwrapH = $('.qust-desc').height();
                //    if (_headwrapH < h2) {
                //
                //
                //        if (wrapFlag) {
                //            $(this).parent('.qust-fixed').animate({
                //                height: H - _headwrapH - 40
                //            }, 800, function () {
                //                $(this).css('overflow', 'visible');
                //                $(this).find('.content-wrap').height(H - _headwrapH - 69);
                //                var _scrollQue = new iScroll($('.content-wrap')[0], {
                //                    mouseWheel: true,
                //                    click: true,
                //                    hScrollbar: false,
                //                    vScrollbar: true,
                //                    checkDOMChanges: true,
                //                });
                //                $('.content-wrap>div').eq(1).remove();
                //                wrapFlag = false;
                //            });
                //
                //        } else {
                //
                //            $(this).parent('.qust-fixed').animate({
                //                height: height / 2
                //            }, 800, function () {
                //                $(this).css('overflow', 'visible');
                //                $(this).find('.content-wrap').height(h2);
                //                var _scrollQue = new iScroll($('.content-wrap')[0], {
                //                    mouseWheel: true,
                //                    click: true,
                //                    hScrollbar: false,
                //                    vScrollbar: true,
                //                    checkDOMChanges: true,
                //                });
                //                $('.content-wrap>div').eq(1).remove();
                //                wrapFlag = true;
                //            });
                //
                //        }
                //
                //    }
                //
                //});
                $('#move').bind("touchmove",function(){
                    event.preventDefault();
                    var H = $(window).height()
                    var y = event.touches[0].clientY;
                    Y = H - y - 48;
                    maxY = H - 150;
                    $(".qust-desc-wrap .qust-fixed").css({"height": Y, "max-height": maxY});
                    $(".qust-desc-wrap .title-wrap").css({"height":$(".qust-desc-wrap .qust-fixed").offset().top});
                    //材料题 题外层的高度
                    var h1 = $("main .qust-fixed").height();
                    //材料题 题的高度
                    var h2 = h1 - 29;
                    $("main .qust-fixed .content-wrap").height(h2);
                    setTimeout(function(){
                        isrefresh();
                    },20);
                })
                $(".question-type ul li").each(function () {
                    $(this).click(function () {
                        $(".question-type ul li").removeClass("active");
                        $(this).addClass("active");
                        $(".question-type").animate({
                            top: H
                        }, 500).hide();
                        $(".mask-bg").fadeOut();
                    })
                });
                $(".wrong-question").on("click", ".resolve-btn", function () {
                    $(this).hide();
                    $(this).next(".result-wrap").show().animate({
                        top: 0
                    }, 400);
                    _scroll();
                });
                var top_val = $(".wrong-question .qust-wrap").height() + $(".wrong-question .resolve-btn").height();
                $(".wrong-question .result-wrap").css("top", top_val)
                $(".question-record-inner").on("click", "ul li.over", function () {
                    $(".mask-bg").show();
                    $(".mask-wrap").show();
                });
                $(".mask-bg,.mask-wrap .btn").on("click", function () {
                    $(".mask-wrap").hide();
                    $(".mask-bg").hide();
                });
                var _scroll = function () {
                    $(".wrapper").each(function (i) {
                        new iScroll($(this)[0], {
                            mouseWheel: true, click: false, hScrollbar: false, vScrollbar: false
                        });
                    })
                };
                // $(".wrong-question .answer").on("click", ".an-itm", function () {
                //     $(this).parents(".answer").find(".round").removeClass("active");
                //     $(this).find(".round").addClass("active");
                // });
                // $(".answer").on("click", ".an-itm", function () {
                //     $(this).parents(".answer").find(".round").removeClass("active");
                //     $(this).find(".round").addClass("active");
                // });
                $(".wrong-question .text").each(function () {
                    var height_1 = $(this).height();
                    $(this).on("keyup keydown change", function () {
                        var height_2 = $(this).height();
                        var x = height_2 - height_1;
                        $(this).parents(".an-itm").css("margin-bottom", x);
                        _scroll();
                    })
                });
                $(".wrong-question footer").on("click", ".middle", function () {
                    $(".mask-bg").show();
                    $(".mask-wrap").show();
                });
                $(".mask-bg,.mask-wrap .btn").on("click", function () {
                    $(".mask-wrap").hide();
                    $(".mask-bg").hide();
                });
                $(".ui-loader.ui-corner-all.ui-body-a.ui-loader-default").remove();
                $(".see-answer input").on('click', function () {
                    if(showType == 'dotopic' && hasAnswerBtn){
                        //试题答案
                        var topicAnswer = $(".res-itm").eq(0).children().eq(1).text();
                        //用户答案
                        func = self.function_name;
                        var userAnswer = func.GETANSWER.func();
                        //试题类型
                        var topic_type = $('.js-template').attr('data-tiku-type');
                        //在页面上显示用户答案
                        $(".res-itm").eq(1).children().eq(1).text(userAnswer);
                        //判读对错
                        if(!($(".question").find(".icon").hasClass('right') || $(".question").find(".icon").hasClass('wrong'))){
                            //单选，多选，不定项，判读
                            if(topic_type == 'TOPIC_TYPE_RADIO' || topic_type == 'TOPIC_TYPE_MULTIPLE' || topic_type == 'TOPIC_TYPE_UNDEFINED' || topic_type == 'TOPIC_TYPE_TRUE_FALSE'){
                                if(userAnswer == topicAnswer){
                                    $(".question").find(".icon").addClass("right");
                                }else {
                                    $(".question").find(".icon").addClass("wrong");
                                }
                            }
                            //简单
                            if(topic_type == 'TOPIC_TYPE_ANSWER'){
                                if(userAnswer != '')
                                    $(".question").find(".icon").addClass("right");
                                else
                                    $(".question").find(".icon").addClass("wrong");
                            }
                             //填空
                            if(topic_type == 'TOPIC_TYPE_FILLING'){
                                if(userAnswer != ''){
                                    var topicAnswerArr = [];
                                    if(topicAnswer.indexOf("&&") != -1){
                                        topicAnswerArr = topicAnswer.split("&&");        
                                    }else{
                                        topicAnswerArr = topicAnswer.split(" ");     
                                    }
                                    var userAnswerArr = userAnswer.split('&&');

                                    var flag = false;
                                    for(var i = 0; i< userAnswerArr.length; i ++){
                                        var tempArr = topicAnswerArr[i].split("|");
                                        if($.inArray(userAnswerArr[i], tempArr) != -1){
                                            flag = true;
                                            break;
                                        }
                                    }
                                    if(flag){
                                        $(".question").find(".icon").addClass("right");
                                    }else{
                                        $(".question").find(".icon").addClass("wrong");
                                    }

                                }else{
                                     $(".question").find(".icon").addClass("wrong");
                                }
                                
                            }
                        }
                    }

                
                    $("div.see-answer>input").css("display", "");
                    $(".result-wrap").css("display", "block");
                })

                var time1 = null;//这个设置为全局
                $('body').unbind("li.an-itm>span").on("click","li.an-itm>span", function (e) {

                    if (time1 == null){
                        time1 = new Date().getTime();
                    }else{       
                        var time2 = new Date().getTime();
                        if(time2 - time1 < 500){
                            time1 = time2;
                            return;
                        }else{
                            time1 = time2;
                        }
                    }

                    var $this = $(this),
                        type = $('.js-template').attr('data-tiku-type'),
                        analysis = $('.js-template').attr('analysis');
                    if(analysis == 'true') return;
                    if ($this.is(".active")) {
                        $this.removeClass("active");
                    } else {
                        if (type == 'TOPIC_TYPE_RADIO' || type == 'TOPIC_TYPE_TRUE_FALSE') {//单选只允许选择一个选项
                            $("div.answer>ul>li.an-itm>span.round.active").removeClass("active");
                        }
                        $this.addClass("active");
                    }
                });
                $('body').unbind("li.an-itm>em").on("click","li.an-itm>em", function (e) {

                    if (time1 == null){
                        time1 = new Date().getTime();
                    }else{       
                        var time2 = new Date().getTime();
                        if(time2 - time1 < 500){
                            time1 = time2;
                            return;
                        }else{
                            time1 = time2;
                        }
                    }

                    var $this = $(this).siblings('span'),
                        type = $('.js-template').attr('data-tiku-type'),
                        analysis = $('.js-template').attr('analysis');
                    if(analysis == 'true') return;
                    if ($this.is(".active")) {
                        $this.removeClass("active");
                    } else {
                        if (type == 'TOPIC_TYPE_RADIO' || type == 'TOPIC_TYPE_TRUE_FALSE') {//单选只允许选择一个选项
                            $("div.answer>ul>li.an-itm>span.round.active").removeClass("active");
                        }
                        $this.addClass("active");
                    }
                });
            },

            app_callBack: function (data) {
                window.WebViewJavascriptBridge.callHandler('androidReceiveMessage', data, function (responseData) {
                });
            },

            app_bridge: function (callback) {
                var u = navigator.userAgent;
                var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
                var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端

                if(isAndroid){
                    if (window.WebViewJavascriptBridge) {
                        callback(WebViewJavascriptBridge)
                    } else {
                        document.addEventListener('WebViewJavascriptBridgeReady', function () {
                                callback(WebViewJavascriptBridge)
                            },
                            false
                        );
                    }
                }else{
                    if (window.WebViewJavascriptBridge) {
                        return callback(WebViewJavascriptBridge);
                    }
                    if (window.WVJBCallbacks) {
                        return window.WVJBCallbacks.push(callback);
                    }
                    window.WVJBCallbacks = [callback];
                    var WVJBIframe = document.createElement('iframe');
                    WVJBIframe.style.display = 'none';
                    WVJBIframe.src = 'https://__bridge_loaded__';
                    document.documentElement.appendChild(WVJBIframe);
                    setTimeout(function () {
                        document.documentElement.removeChild(WVJBIframe)
                    }, 0)
                }
            },

            template_type: {
                TOPIC_TYPE_RADIO: {
                    name: 'TOPIC_TYPE_RADIO',
                    msg: '单选题',
                    type: 1
                },
                TOPIC_TYPE_MULTIPLE: {
                    name: 'TOPIC_TYPE_MULTIPLE',
                    msg: '多选题',
                    type: 2
                },
                TOPIC_TYPE_UNDEFINED: {
                    name: 'TOPIC_TYPE_UNDEFINED',
                    msg: '不定向选题',
                    type: 3
                },
                TOPIC_TYPE_TRUE_FALSE: {
                    name: 'TOPIC_TYPE_TRUE_FALSE',
                    msg: '判断题',
                    type: 4
                },
                TOPIC_TYPE_FILLING: {
                    name: 'TOPIC_TYPE_FILLING',
                    msg: '填空题',
                    type: 5
                },
                TOPIC_TYPE_ANSWER: {
                    name: 'TOPIC_TYPE_ANSWER',
                    msg: '简答题',
                    type: 6
                },
                TOPIC_TYPE_CASE: {
                    name: 'TOPIC_TYPE_CASE',
                    msg: '材料题',
                    type: 7
                }
            },

            function_type: {
                EVENT: {name: 'EVENT', msg: '事件'},
                TEMPLATE: {name: 'TEMPLATE', msg: '模版'}
            },

            function_name: {
                TEXTSIZE: {name: 'TEXTSIZE', msg: '设置大小', func: win.tiku.textSize},
                GETANSWER: {name: 'GETANSWER', msg: '获取结果', func: win.tiku.getAnswer}
            },

            show: function (templateType, data, textsize, hasAnswerBtn) {
                var self = this,
                    template = self.template_type,
                    func = self.function_name,
                    hasCase = data && (data.topics.mateTitle || data.topics.mateCon);
                switch (templateType) {
                    case template.TOPIC_TYPE_RADIO.name:
                        if (hasCase) {
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').show()
                        } else {
                            $('.js-template[type=' + template.TOPIC_TYPE_RADIO.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_RADIO.type + ']').show()
                        }
                        break;
                    case template.TOPIC_TYPE_MULTIPLE.name:
                        if (hasCase) {
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').show()
                        } else {
                            $('.js-template[type=' + template.TOPIC_TYPE_MULTIPLE.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_MULTIPLE.type + ']').show()
                        }
                        break;
                    case template.TOPIC_TYPE_UNDEFINED.name:
                        if (hasCase) {
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').show()
                        } else {
                            $('.js-template[type=' + template.TOPIC_TYPE_UNDEFINED.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_UNDEFINED.type + ']').show()
                        }
                        break;
                    case template.TOPIC_TYPE_TRUE_FALSE.name:
                        if (hasCase) {
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').show()
                        } else {
                            $('.js-template[type=' + template.TOPIC_TYPE_TRUE_FALSE.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_TRUE_FALSE.type + ']').show()
                        }
                        break;
                    case template.TOPIC_TYPE_FILLING.name:
                        if (hasCase) {
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').show()
                        } else {
                            $('.js-template[type=' + template.TOPIC_TYPE_FILLING.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_FILLING.type + ']').show()
                        }
                        break;
                    case template.TOPIC_TYPE_ANSWER.name:
                        if (hasCase) {
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').show()
                        } else {
                            $('.js-template[type=' + template.TOPIC_TYPE_ANSWER.type + ']').siblings().remove();
                            $('.js-template[type=' + template.TOPIC_TYPE_ANSWER.type + ']').show()
                        }
                        break;
                    case template.TOPIC_TYPE_CASE.name:
                        $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').siblings().remove();
                        $('.js-template[type=' + template.TOPIC_TYPE_CASE.type + ']').show()
                        break;
                }
                if (hasAnswerBtn) {
                	data.hasAnswerBtn = true;
                    $('.see-answer input').show();
                    win.sessionStorage.answer = JSON.stringify(data);
                }
                win.tiku.init(data);
                if (textsize) func.TEXTSIZE.func(textsize);

                //单选判定条件
                $('.js-template').attr('data-tiku-type', templateType);
                //解析不能修改
                if(data.showType && (data.showType == 'analysis' || data.showType == 'collect')){
                    $('.js-template').attr('analysis', 'true');
                    $('input:text').attr('readonly', 'readonly');
                    $('textarea').attr('readonly', 'readonly');
                }

                self.event();
            },

            callBack: function (eventType, value) {
                var self = this,
                    func = self.function_name,
                    result;

                switch (eventType) {
                    case func.GETANSWER.name:
                        result = '{"result":"success","msg":"获取成功","type":"GETANSWER","data":{"answer":"' + func.GETANSWER.func() + '"}}';
                        break;
                    case func.TEXTSIZE.name:
                        func.TEXTSIZE.func(value);
                        result = '{"result":"success","msg":"设置成功","type":"TEXTSIZE"}';
                        break;
                }
                return result;
            }

        });
        return Module;
    })();

    $(function () {
        return new Module();
    });

})(window, document, jQuery);


