(function ($) {
    $(function () {
        var H = $(window).height()
        var height = H - 92;
        var h = H - 121;
        //蒙版mask-bg的高度
        //$(".mask-bg").height(H-44);
        //中间内容高度
        $(".tiku-page main").height(height);
        $("main .box").height(height);
        //非材料题  题的高度
        $(".content-wrap").height(h);
        $(".content-wrap.answer").height(height);
        //材料题 题外层的高度
        $("main .qust-fixed").height(height / 2);
        var h1 = $("main .qust-fixed").height();
        //材料题 题的高度
        var h2 = h1 - 29;
        $("main .qust-fixed .content-wrap").height(h2);
        $("main .qust-fixed .content-wrap.answer").height(h1);
        //问题的高度
        var h3 = $("main .qust-wrap").height();
        //答案部分的最小高度
        var h4 = h - h3;
        $("main .result-wrap").css("min-height", h4)
        //    点击顶部右侧图标
        $("header").on("click", ".home-btn", function () {
            var block = $("header .mark").hasClass("block");
            if (block) {
                $("header .mark").animate({
                    height: "0px"
                }, 10)
                $("header .mark").removeClass("block");
            } else {
                $("header .mark").animate({
                    height: "108px"
                }, 10)
                $("header .mark").addClass("block");
            }
        });
        //点击底部任何一个图标，顶部标记图标都隐藏
        $("footer").on("click", ".middle,.prev,.card,.refer,.next", function () {
            $("header .mark").animate({
                height: "0px"
            }, 10)
            $("header .mark").removeClass("block");
        });
        //点击内容，顶部标记图标隐藏
        $("main").on("click", ".box", function () {
            $("header .mark").animate({
                height: "0px"
            }, 10)
            $("header .mark").removeClass("block");
        });
        // 点击标记
        $("header .mark h1").toggle(function () {
                $(this).find("img").attr("src", "../../images/mark-1.png");
                setTimeout(function () {
                    $("header .mark").animate({
                        height: "0px"
                    }, 400)
                    $("header .mark").removeClass("block");
                }, 200)
            },
            function () {
                $(this).find("img").attr("src", "images/mark.png");
                setTimeout(function () {
                    $("header .mark").animate({
                        height: "0px"
                    }, 400)
                    $("header .mark").removeClass("block");
                }, 200)
            }
        )
        //改变字体大小
        $("header").on("click", ".mark em.fs14", function () {
            $(".mark em").removeClass("active");
            $(this).addClass("active");
            $(".box").css("font-size", "14px");
            $("header .mark").animate({
                height: "0px"
            }, 400)
            $("header .mark").removeClass("block");
        });
        $("header").on("click", ".mark em.fs16", function () {
            $(".mark em").removeClass("active");
            $(this).addClass("active");
            $(".box").css("font-size", "16px");
            $("header .mark").animate({
                height: "0px"
            }, 400)
            $("header .mark").removeClass("block");
        });
        $("header").on("click", ".mark em.fs18", function () {
            $(".mark em").removeClass("active");
            $(this).addClass("active");
            $(".box").css("font-size", "18px");
            $("header .mark").animate({
                height: "0px"
            }, 400)
            $("header .mark").removeClass("block");
        });

        //点击暂停键
        $("footer").on("click", ".stop", function () {
            $(".mask-bg").show();
            $(".mask-wrap.stop").show();
            clearInterval(time);
        });
        //点击蒙版背景 弹层隐藏
        $(".mask-bg").on("click", function () {
            $(".mask-bg").hide();
            $(".mask-wrap").hide();
            time = setInterval(function () {
                showTime()
            }, 1000);
        });
        //点击弹层底部按钮 弹层隐藏
        $(".mask-wrap").on("click", ".btn", function () {
            $(".mask-bg").hide();
            $(this).parents(".mask-wrap").hide();
            time = setInterval(function () {
                showTime()
            }, 1000);
        });
        //    点击交卷
        $("footer").on("click", ".refer", function () {
            $(".mask-bg").show();
            $(".mask-wrap.refer").show();
            clearInterval(time);
        });
        //点击text-wrap时获取焦点
        $(".text-wrap").on("focus",".text",function(){
           $(this).next("p").hide()
        });
        $(".text-wrap").on("blur",".text",function(){
            var content=$(this).html();
            if(content==""){
                $(this).next("p").show()
            }
        })
        //touch事件
        function load() {
           var move = document.getElementById("move");
           move.addEventListener('touchmove', touch, false);
           function touch(event) {
               var event = event || window.event;
               switch (event.type) {
                   case "touchmove":
                       event.preventDefault();
                       var y = event.touches[0].clientY;
                       Y = H - y - 48;
                       maxY = H - 150;
                       $(".qust-desc-wrap .qust-fixed").css({"height": Y, "max-height": maxY});
                       //材料题 题外层的高度
                       var h1 = $("main .qust-fixed").height();
                       //材料题 题的高度
                       var h2 = h1 - 29;
                       $("main .qust-fixed .content-wrap").height(h2);
                       $("main .qust-fixed .content-wrap.answer").height(h1);
                       break;
               }
           }
        }
        
        window.addEventListener('load', load, false);

        // 考试结束时间点单位 秒
        var examEndTimeSeconds;

        /*
         * 倒计时
         参数形式 String example "120:00"
         */
        function showTime(t) {
            /**
             * 如果有参数传递则用传递的参数值否则用layout里面正在跑的时间值
             * 例如：init时传递参数  暂停后继续不传递任何参数
             */
            t = t ? t : $(".middle h1").html();

            var t_split = t.split(":");

            // 考试时间剩余的总秒数
            var examTimeSeconds = parseInt(t_split[0]) * 60 + parseInt(t_split[1]);

            if (examTimeSeconds < 1) {
                clearInterval(time);
                return;
            }

            // 当前时间戳秒数
            var nowTimeSeconds = new Date().getTime() / 1000;

            // 考试结束时间
            examEndTimeSeconds = nowTimeSeconds + examTimeSeconds;

            // 考试剩余时间总秒数递减
            examTimeSeconds -= 1;

            // 考试剩余分钟数单位 = 考试剩余时间总秒数/60 取整
            var minutes = parseInt(examTimeSeconds / 60);
            // 如果分钟数小于10前面用 0 补充
            minutes = minutes < 10 ? minutes = "0" + minutes : minutes;

            // 考试剩余秒数单位 = 考试剩余时间总秒数-分钟数*60
            var seconds = examTimeSeconds - minutes * 60;
            // 如果秒数小于10 前面用 0 补充
            seconds = seconds < 10 ? seconds = "0" + seconds : seconds;

            $(".middle h1").html(minutes + ":" + seconds);

        };
        $(".middle h1").html("120:00");
        var time = setInterval(function () {
            showTime()
        }, 1000);
        //答题卡

        var _h = $(".pop-sheet header").height();
        var _h1 = $(".pop-sheet footer").height();
        var _height = H - _h - _h1;
        console.log(H);
        $(".pop-sheet").css({
            transform:"translateY("+H+"px)",
        "-ms-transform":"translateY("+H+"px)", 	/* IE 9 */
        "-moz-transform":"translateY("+H+"px)", 	/* Firefox */
        "-webkit-transform":"translateY("+H+"px)", /* Safari 和 Chrome */
        "-o-transform":"translateY("+H+"px)"
    });
        $(".pop-sheet main").css("height", _height);
        $(".sheet-content").css("height", _height);
        $("footer").on("click", ".card", function () {
            $(".pop-sheet").show(
                function(){
                    $(".pop-sheet").css({
                        transform:"translateY("+0+")",
                        "-ms-transform":"translateY("+0+")",
                        "-moz-transform":"translateY("+0+")",
                        "-webkit-transform":"translateY("+0+")",
                        "-o-transform":"translateY("+0+")",
                        "transition":  "0.5s",
                        "-moz-transition":"0.5s",
                        "-webkit-transition": "0.5s",
                        "-o-transition":" 0.5s"
                    });
                }
            );

        });
        $(".pop-sheet").on("click touch tap",".back-c", function (event) {
            event.preventDefault();
            $(".pop-sheet").css({
                transform:"translateY("+H+"px)",
                "-ms-transform":"translateY("+H+"px)",
                "-moz-transform":"translateY("+H+"px)",
                "-webkit-transform":"translateY("+H+"px)",
                "-o-transform":"translateY("+H+"px)",
                "transition":  "0.5s",
                "-moz-transition":"0.5s",
                "-webkit-transition": "0.5s",
                "-o-transition":" 0.5s"
            });
        });

        // 进度条
        var progress = function (a, b) {
            $(".progress-wrap .num i").html(a);
            $(".progress-wrap .num em").html(b);
            num = a / b * 100;
            num1 = num + "%";
            $(".ui-slider-range").css("width", num1);
            $(".ui-slider-handle").css("left", num1);
        };
        progress(0, 100);

        // iscroll调用
        $(".wrapper").each(function (i) {
            myScroll = new iScroll($(this)[0], {
                mouseWheel: true, click: true, hScrollbar: false, vScrollbar: false,onBeforeScrollStart:function() {}
            })
        });

    })
})(jQuery)
